Subject: Reading a ^Z
From: [email-masked] (Ian Collins)

4 Sep 1997 17:06:47 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
Original-To: "'Gnu win32 mailer'" <[email-masked]>
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1457.3)
Original-Sender: [email-masked]

Please help someone!

I am sure this has come up before (probably before I joined).
I am reading a binary file. The file is fopened with O_RDONLY.
When doing the read, I am using,

n = fread((void *) buffer, (size_t) sizeof(char), (size_t)
numrecs*reclen, ifd);

where numrecs and reclen are the number of records in the file each of
length reclen.

If there is a control-Z (^Z) in the file, the fread will read up to the
^Z and the rest of the buffer is filled with NULLS.
Now I know, in the distant past, DOS files were terminated by a ^Z, but
surely there is a workaround to this.
I am using b18 with Sergeys latest cygwin.dll.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".